 Product Registration

Product Registration

MGI's product support services are for registered users only, so make sure that you register your copy today.

How to register:

  • Register from within the application at installation time. If you choose not to register at this time, you will be reminded later each time the program is run.

or

  • Register now via the Internet. Register your copy online at

http://www.mgisoft.com/Products/Register

Contact Information (all areas) - MGI Software Corp:

Web Site: http://www.mgisoft.com


 Product Support

Product Support

MGI's product support services are for registered users only, so please make sure that you first register your copy of the program before calling MGI Product Support Services.

If you have a question about the product, please first refer to the printed documentation or the on-line Help. You should also check any "ReadMe" files included with the product.

If you cannot find the answer, you can receive product support, or information on how to receive product support, by contacting MGI's Product Support Services. The support services are subject to the company's prices, terms, and conditions in effect at the time the services are used. MGI may offer new product support services in the future, and as they arise, the Product Support department will be pleased to provide you with the details. At this point, you can contact the Product Support department either by telephone, facsimile, mail or via the Internet. Please refer to the addresses and numbers given below.

If you call, you should be sitting in front of your computer with the program running. You should also have your manual at hand, or the applicable on-line Help topic open on your screen. Whether you call or write, please provide the following information:

  1. The version number of the product (choose the "About" item from the Help menu to see this information).

  2. The type of hardware and the system configuration you are using, including network hardware if applicable.

  3. A description of what happened and what you were trying to do when the problem occurred.

  4. The exact wording of any messages that appeared on your screen.

  5. How you tried to solve the problem.

Click here for Technical Support contact information.


Print this form

To register by mail or fax:

1. Print this form (click the Print button above).

2. Write your Product Code at the top of the printed copy (choose the "About" item from the Help menu to learn the code).

3. Enter the required registration information.

4. Mail or fax the printed copy to MGI Software Corp.


MGI VideoWave®

Technical Support

North America

MGI Software Corp.
50 West Pearce Street
Richmond Hill, Ontario
Canada L4B 1E3

Telephone: (905) 764-2678
Fax: (905) 707-3694
Online: www.mgisoft.com/support/form

Europe

MGI Software
P.O. Box 6388
Dublin 9, Ireland

ATTN: Customer Service

Telephone: (+353) 1 8340034
Fax: (+353) 1 8340035
Online: www.mgisoft.com/support/form

Taiwan

MGI Software Asia
10F, No. 303,
Sec. 4, Shin-Yi Road
Taipei 106, Taiwan

Telephone: (+886) 2-2709-1768 ext. 151
Fax: (+886) 2-2709-1769
E-mail: producta@mgisoft.com
Online: www.mgisoft.com.tw

Korea

MGI Software Korea
137-130
A-#1218, Samho Officetel 275-1
Yangjae-dong, Seocho-Gu,
Seoul , South Korea

Telephone: 82-2-589-1061 or 63
Fax: 82-2-589-1062
Email: koreasupport@mgikorea.co.kr

Other Countries

MGI Software Corp.
50 West Pearce Street
Richmond Hill, Ontario
Canada L4B 1E3
Attn: Techical Support

Telephone: +1 905 764 7358
Fax: +1 905 707-3694
Online: www.mgisoft.com/support/form

Visit our Web Site!

Find out what's new with MGI VideoWave and MGI's other exciting software products! Our website address is:

www.videowave.com

MGI Software Corp.

50 West Pearce Street
Richmond Hill, Ontario L4B 1E3
Canada

Legal © 2000 MGI Software Corp. [045b.1]